local function OnAddOnLoaded(eventCode, addOnName)
	local ADDON_NAME="JPGScreenshot"
	local ADDON_VERSION="v1.8.0"

	if (addOnName ~= "JPGScreenshot") then
		return
	end
	
	local lc = GetCVar("language.2")
	
	local jpgs_setting		= "Setting"
	local ssformat			= "Screenshot file format"
	local ssformatd			= "Select the file format for screenshots."
	
	if lc == "de" then
		jpgs_setting	= "Einstellung"
		ssformat		= "Screenshot-Format"
		ssformatd		= "Whle das Datei Format fr Screenshots."
	elseif lc == "fr" then
		jpgs_setting	= "R\195\169glage"
		ssformat		= "Format de la capture \195\169cran"
		ssformatd		= "S\195\169lectionner le format de fichier des captures \195\169cran."
	elseif lc == "es" then
		jpgs_setting	= "Ajuste"
		ssformat		= "Formato de archivo de pantalla"
		ssformatd		= "Seleccione el formato de archivo para im\195\161genes."
	end
	
	--// Settings panel LAM2
	local LAM2 = LibStub("LibAddonMenu-2.0")
	if ( not LAM2 ) then return end
	
	local panelData = {
			type = "panel",
			name = ADDON_NAME,
			displayName = "|cFF6A00"..ADDON_NAME.."|r",
			author = "Ace + |cFF6A00Khrill|r",
			version = ADDON_VERSION,
			slashCommand = "/jpgs",
			registerForRefresh = true,
			registerForDefaults = true,
	}
	LAM2:RegisterAddonPanel(ADDON_NAME, panelData)

	local optionsTable = {
		------------GENERAL--------------
		{
			type = "header",
			name = jpgs_setting,
			width = "full",
		},
		{
			type = "dropdown",
			name = ssformat,
			tooltip = ssformatd,
			choices = {"BMP", "JPG", "PNG"},
			getFunc = function() return GetCVar("ScreenshotFormat.2") end,
			setFunc = function(var) SetCVar("ScreenshotFormat.2", var) end,
			width = "full",
			default = "PNG"
		},
	}

	LAM2:RegisterOptionControls(ADDON_NAME, optionsTable)
			
	EVENT_MANAGER:UnregisterForEvent("JPGScreenshot", EVENT_ADD_ON_LOADED)
end

EVENT_MANAGER:RegisterForEvent("JPGScreenshot", EVENT_ADD_ON_LOADED, OnAddOnLoaded)